## org.apache.poi.xslf.usermodel
Enum LineEndLength

    java.lang.Object
      java.lang.Enum<LineEndLength>
          org.apache.poi.xslf.usermodel.LineEndLength

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<LineEndLength>

    public enum LineEndLength

extends java.lang.Enum<LineEndLength>

Author:
  Yegor Kozlov

Enum Constant Summary
`LARGE`
`MEDIUM`
`SMALL`

Method Summary
`static LineEndLength` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static LineEndLength[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SMALL

    public static final LineEndLength SMALL

### MEDIUM

    public static final LineEndLength MEDIUM

### LARGE

    public static final LineEndLength LARGE

Method Detail

### values

    public static LineEndLength[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (LineEndLength c : LineEndLength.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static LineEndLength valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.